%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define soname		libmk4.so.%{major}

Summary: 	Embeddable database
Name: 		metakit
Version: 	2.4.9.7
Release: 	%mkrel 18
License: 	MIT
Group: 		System/Libraries
Source0: 	http://www.equi4.com/pub/mk/%{name}-%{version}.tar.gz
Patch0:		metakit-2.4.9.7-flags.patch
Patch1:		metakit-2.4.9.6-alt-soname.patch
Patch2:		metakit-2.4.9.7-tcl8.6.patch
Patch3:		metakit-2.4.9.7-linkage.patch
URL: 		http://www.equi4.com/metakit/
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(python2)

%description
MetaKit is an embeddable database which runs on Unix, Windows, Macintosh,
and other platforms. It lets you build applications which store their data
efficiently, in a portable way, and which will not need a complex runtime
installation. In terms of the data model, MetaKit takes the middle ground
between RDBMS, OODBMS, and flat-file databases - yet it is quite different
from each of them.

%package -n %{libname}
Summary:	Main library for %{name}, a embeddable database
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

MetaKit is an embeddable database which runs on Unix, Windows, Macintosh,
and other platforms. It lets you build applications which store their data
efficiently, in a portable way, and which will not need a complex runtime
installation. In terms of the data model, MetaKit takes the middle ground
between RDBMS, OODBMS, and flat-file databases - yet it is quite different
from each of them.

%package -n %{develname}
Summary:	Files to compile programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

MetaKit is an embeddable database which runs on Unix, Windows, Macintosh,
and other platforms. It lets you build applications which store their data
efficiently, in a portable way, and which will not need a complex runtime
installation. In terms of the data model, MetaKit takes the middle ground
between RDBMS, OODBMS, and flat-file databases - yet it is quite different
from each of them.

%package -n python-%{name}
Summary:	Python bindings for %{name}, a embeddable database
Group:		System/Libraries
Requires:	%{libname} python
Provides:	Mk4py = %{version}-%{release}
Provides:	mk4py = %{version}-%{release}
Provides:	%{name}-python = %{version}-%{release}
Obsoletes:	%{name}-python < %{version}-%{release}

%description -n python-%{name}
Python bindings for %{name}

MetaKit is an embeddable database which runs on Unix, Windows, Macintosh,
and other platforms. It lets you build applications which store their data
efficiently, in a portable way, and which will not need a complex runtime
installation. In terms of the data model, MetaKit takes the middle ground
between RDBMS, OODBMS, and flat-file databases - yet it is quite different
from each of them.

%package -n %{name}-tcl
Summary:	Tcl bindings for %{name}, a embeddable database
Group:		System/Libraries
Requires:	%{libname} tcl
Provides:	Mk4tcl = %{version}-%{release}
Provides:	mk4tcl = %{version}-%{release}

%description -n %{name}-tcl
Tcl bindings for %{name}

MetaKit is an embeddable database which runs on Unix, Windows, Macintosh,
and other platforms. It lets you build applications which store their data
efficiently, in a portable way, and which will not need a complex runtime
installation. In terms of the data model, MetaKit takes the middle ground
between RDBMS, OODBMS, and flat-file databases - yet it is quite different
from each of them.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p0

rm -rf builds/tests/CVS

sed -i -e "s/^CXXFLAGS.*/CXXFLAGS = %{optflags} -fPIC/" unix/Makefile.in

%build
pushd builds
CONFIGURE_TOP="../unix" %configure2_5x \
	--enable-python \
	--with-python="%{_includedir}/python%{python2_version},%{python2_sitearch}" \
	--with-tcl=%{_includedir},%{tcl_sitearch}
%make MK4_SONAME=%{soname} TCL_LIB=-ltcl PYTHON_LIB=-lpython%{python2_version}
popd

%install
mkdir -p %{buildroot}/%{python2_sitearch}
%makeinstall_std -C builds MK4_SONAME=%{soname}

%check
pushd builds
        export LD_LIBRARY_PATH=`pwd`
        %make test
popd

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{major}

%files -n %{develname}
%doc README CHANGES doc demos examples
%{_libdir}/*.so
%{_includedir}/*

%files -n python-%{name}
%doc README
%{python2_sitearch}/Mk4py.so
%{python2_sitearch}/metakit.py*

%files -n %{name}-tcl
%doc doc/tcl.html doc/tcl.gif doc/e4s.gif
%{tcl_sitearch}/Mk4tcl


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 2.4.9.7-18.mga6
+ Revision: 956151
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 2.4.9.7-17.mga6
+ Revision: 886296
- rebuild for new tcl 8.6.4
- enable patch2 (tcl 8.6 buildfix)

* Wed Oct 15 2014 umeabot <umeabot> 2.4.9.7-16.mga5
+ Revision: 741445
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4.9.7-15.mga5
+ Revision: 727242
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4.9.7-14.mga5
+ Revision: 682370
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.4.9.7-13.mga5
+ Revision: 628332
- Rebuild for new Python

* Mon Oct 21 2013 umeabot <umeabot> 2.4.9.7-12.mga4
+ Revision: 539195
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 wally <wally> 2.4.9.7-11.mga4
+ Revision: 491563
- clean .spec

* Sat Jan 12 2013 umeabot <umeabot> 2.4.9.7-10.mga3
+ Revision: 359996
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 06 2011 fwang <fwang> 2.4.9.7-9.mga2
+ Revision: 119195
- disable tcl 8.6 patch
- rebuild for new tcl

* Sat Jun 11 2011 wally <wally> 2.4.9.7-8.mga2
+ Revision: 103408
- drop old obsoletes
- drop old mdv scriptlets
- drop buildroot definition
- clean .spec a bit
- imported package metakit


* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 2.4.9.7-8mdv2011.0
+ Revision: 592429
- rebuild for python 2.7

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 2.4.9.7-7mdv2010.0
+ Revision: 439800
- rebuild

* Sat Jan 24 2009 Funda Wang <fwang@mandriva.org> 2.4.9.7-6mdv2009.1
+ Revision: 333294
- finally fix build
- specify python via configure options
- rebuild

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 2.4.9.7-5mdv2009.1
+ Revision: 310861
- drop now useless (and broken) x86-64 workaround
- rebuild for new tcl
- move tcl stuff to new location per policy
- spec clean
- add tcl8.6.patch (fix build for Tcl 8.6)
- correct license (it's MIT not GPL)
- new devel policy

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 2.4.9.7-4mdv2009.0
+ Revision: 252345
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 2.4.9.7-2mdv2008.1
+ Revision: 140953
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 26 2007 Pascal Terjan <pterjan@mandriva.org> 2.4.9.7-2mdv2008.0
+ Revision: 71486
- 2.4.9.7
- Add P1 to get again a soname (Patch from Alt)
- Move tcl lib in lib64 on 64 bits
- Add -fPIC
- Fix build (missing -I)


* Fri Nov 04 2005 Michael Scherer <misc@mandriva.org> 2.4.9.3-3mdk
- fix naming of python module
- enhance description
- use macro
- mkrel

* Mon Jan 10 2005 Austin Acton <austin@mandrake.org> 2.4.9.3-2mdk
- rebuild for python

* Sat Jul 17 2004 Michael Scherer <misc@mandrake.org> 2.4.9.3-1mdk
- New release 2.4.9.3
- rpmbuildupdate aware

* Mon Apr 07 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4.9.2-2mdk
- add another provides to the -devel

* Mon Mar 31 2003 Austin Acton <aacton@yorku.ca> 2.4.9.2-1mdk
- cleanup spec
- update
- use mklibname
- add docs, demos
- add python and tcl extensions
- redo patch

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.6-3mdk
- rebuild

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4.6-2mdk
- rebuild

* Mon Jun 03 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4.6-1mdk
- recompile against latest libstdc++
- new version
- provide library version so that we can use dynamic library as usual

* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4.3-1mdk
- first mdk release as a separate package (was previously inside simgear)

